using System;
using System.Collections.Generic;
using System.Text;

namespace SocketClientMedRemoteFasade_ConsolApplikation
{
    class EchoClient
    {
        EchoServerFacade echoService;

        public EchoClient(string servername, int port)
        {
            System.Console.WriteLine("Echo client startet p " + servername + " port:" + port);

            echoService = new EchoServerFacade(servername, port);

            doUserDialog();

            echoService.Dispose();
            echoService = null;

        }

        public void doUserDialog()
        {
            System.Console.WriteLine("Afslut input med BYE");

            bool aktiv = true;
            do
            {
                string userKomando;
                Console.WriteLine("Indtast komando");
                userKomando = Console.ReadLine();  // frste brugerinput
                userKomando = userKomando.Trim().ToLower();
                switch (userKomando)
                {
                    case "echo":
                        {
                            Console.WriteLine("Indtast komando echo besked");
                            string echoParameter = Console.ReadLine();  // frste brugerinput
                            string echoresponse = echoService.Echo(echoParameter);
                            Console.WriteLine("resultat:" + echoresponse);
                            break;
                        }
                    case "echoupper":
                        {
                            Console.WriteLine("Indtast komando echoupper besked");
                            string echoupperParameter = Console.ReadLine();  // frste brugerinput
                            string echoupperresponse = echoService.Echo(echoupperParameter);
                            Console.WriteLine("resultat:" + echoupperresponse);
                            break;
                        }
                    case "bye":
                        {
                            aktiv = false;
                            break;
                        }
                    default:
                        {
                            Console.WriteLine("Ikke gyldig komando");
                            break;
                        }
                }
            }
            while (aktiv);
        }
    }
}
