using System;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;

namespace SocketServerCmdDisconnected_V01
{

	public class Server
	{

        EchoService echoservice;        // opret service objekt - levetid forlnges - men kun et flles objekt

        public Server(int port)
		{
			System.Console.WriteLine("Server startet p port:"+port);

            echoservice = new EchoService();        // opret service objekt - levetid forlnges - men kun et flles objekt

            TcpListener listener = new TcpListener(IPAddress.Any, port);

            listener.Start();
			while (true)
			{
				System.Console.WriteLine("Server klar");

				Socket clientSocket = listener.AcceptSocket();

				System.Console.WriteLine("Der er get en i flden");

				ClientHandler handler = new ClientHandler(clientSocket, echoservice);
//				handler.RunClient();		// Kun een af gangen
								
				// Her sttes op til af behandling foregr parallel
				// s der kan fortsttes med en ny
                Thread clientTrd = new Thread(handler.RunClient);
				clientTrd.Start();
			}
		}
	}
}
