using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SocketClientMedRemoteFasade_WindowsApplication
{
    public partial class EchoForm : Form
    {
        EchoServerFacade echoService;
        public EchoForm()
        {
            InitializeComponent();
            echoService = new EchoServerFacade("127.0.0.1", 12000);
        }

        private void btnEcho_Click(object sender, EventArgs e)
        {
            // hent input og konverter til korrekt type
            string echoParameter = tbxEchoInput.Text;
            // udfr komando remote
            string echoresponse = echoService.Echo(echoParameter);
            // konverter evt. svar og brug det
            tbxEchoSvar.Text = echoresponse;
        }

        private void btnEchoUpper_Click(object sender, EventArgs e)
        {
            // hent input og konverter til korrekt type
            string echoupperParameter = tbxEchoupperInput.Text;
            // udfr komando remote
            string echoupperresponse = echoService.EchoUpper(echoupperParameter);
            // konverter evt. svar og brug det
            tbxEchoupperSvar.Text = echoupperresponse;

        }
    }
}